<?php
/*
    Copyright (c) 2002-2007 Netlor
    Copyright (c) 2007-2008 Ovensia
    Contributors hold Copyright (c) to their code submissions.

    This file is part of Ploopi.

    Ploopi is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Ploopi is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Ploopi; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/**
 * Fichier de langue franais
 *
 * @package directory
 * @subpackage lang
 * @copyright Netlor, Ovensia
 * @license GNU General Public License (GPL)
 * @author Stphane Escaich
 */

/**
 * Dfinition des constantes
 */

define ('_DIRECTORY_FAVORITES', 'Favoris');
define ('_DIRECTORY_MYCONTACTS', 'Contacts personnels');
define ('_DIRECTORY_MYGROUP', 'Espace de Travail');
define ('_DIRECTORY_USERS', 'Utilisateurs');
define ('_DIRECTORY_SEARCH', 'Recherche');
define ('_DIRECTORY_SHAREDCONTACTS', 'Contacts partags');
define ('_DIRECTORY_SPEEDDIALING', 'Numros abrgs');
define ('_DIRECTORY_ORGANIZATIONCHART', 'Organigramme');

define ('_DIRECTORY_FAVORITES_DESC', 'Cette rubrique contient vos favoris, c\'est  dire des liens vers vos contacts personnels ou vers des utilisateurs du portail.');
define ('_DIRECTORY_MYCONTACTS_DESC', 'Cette rubrique contient vos contacts personnels. Ils sont visualisables et modifiables uniquement par vous.');
define ('_DIRECTORY_MYGROUP_DESC', 'Cette rubrique contient les utilisateurs de votre espace de travail. Ce sont les utilisateurs qui travaillent dans le mme environnement que le votre.');
define ('_DIRECTORY_SEARCH_DESC', 'Cette rubrique vous permet de trouver un utilisateur parmi l\'ensemble des utilisateurs du portail.');
define ('_DIRECTORY_ORGANIZATIONCHART_DESC', 'Cette rubrique vous permet de consulter l\'organigramme de l\'ensemble des utilisateurs du portail rpartis par espaces de travail.');
define ('_DIRECTORY_SHAREDCONTACTS_DESC', 'Cette rubrique contient les contacts partags par l\'ensemble des utilisateurs.');
define ('_DIRECTORY_SPEEDDIALING_DESC', 'Cette rubrique contient les numros abrgs partags.');

define ('_DIRECTORY_ADDNEWCONTACT', 'Ajouter un nouveau contact');
define ('_DIRECTORY_MODIFYCONTACT', 'Modifier un contact');
define ('_DIRECTORY_VIEWCONTACT', 'Visualiser un contact');
define ('_DIRECTORY_VIEWUSER', 'Visualiser un utilisateur');
define ('_DIRECTORY_ADDNEWNUMBER', 'Ajouter un nouveau numro');

define ('_DIRECTORY_IMPORTCONTACTS', 'Importer des contacts');


define ('_DIRECTORY_TYPE', 'Type');
define ('_DIRECTORY_NAME', 'Nom');
define ('_DIRECTORY_FIRSTNAME', 'Prnom');
define ('_DIRECTORY_LOGIN', 'Login');
define ('_DIRECTORY_GROUPS', 'Rattachements');
define ('_DIRECTORY_SERVICE', 'Service');
define ('_DIRECTORY_BUILDING', 'Btiment');
define ('_DIRECTORY_FLOOR', 'Etage');
define ('_DIRECTORY_OFFICE', 'Bureau');
define ('_DIRECTORY_NUMBER', 'Numro de Poste');
define ('_DIRECTORY_GROUP', 'Espace');
define ('_DIRECTORY_FUNCTION', 'Fonction');
define ('_DIRECTORY_RANK', 'Grade/Niveau');
define ('_DIRECTORY_PHONE', 'Tlphone');
define ('_DIRECTORY_MOBILE', 'Tl. Portable');
define ('_DIRECTORY_FAX', 'Fax');
define ('_DIRECTORY_EMAIL', 'Ml');
define ('_DIRECTORY_TICKET', 'Msg');
define ('_DIRECTORY_ADDRESS', 'Adresse');
define ('_DIRECTORY_POSTALCODE', 'Code Postal');
define ('_DIRECTORY_CITY', 'Ville');
define ('_DIRECTORY_COUNTRY', 'Pays');
define ('_DIRECTORY_COMMENTARY', 'Commentaire');
define ('_DIRECTORY_BACK', 'Retour');
define ('_DIRECTORY_FULLTEXT', 'Texte intgral');
define ('_DIRECTORY_LEGEND', 'Lgende');
define ('_DIRECTORY_CIVILITY', 'Civilit');
define ('_DIRECTORY_PHOTO', 'Photo');

define ('_DIRECTORY_SEND_TICKET', 'Envoyer un message');
define ('_DIRECTORY_SEND_EMAIL', 'Envoyer un ml');

define ('_DIRECTORY_LINESPERPAGE', 'Lignes par Page');
define ('_DIRECTORY_PREVIOUSPAGE', 'Page prcdente');
define ('_DIRECTORY_NEXTPAGE', 'Page suivante');

define ('_DIRECTORY_CONFIRM_DELETECONTACT', 'tes vous certain de vouloir supprimer ce contact ?');
define ('_DIRECTORY_CONFIRM_DELETEFAVORITES', 'tes vous certain de vouloir supprimer ce favori ?');
define ('_DIRECTORY_CONFIRM_DELETENUMBER', 'tes vous certain de vouloir supprimer ce numro ?');

define ('_DIRECTORY_LABEL_DELETE_USER', 'Suppression des donnes de l\'utilisateur');

define ('_DIRECTORY_LEGEND_VIEW', 'Visualiser');
define ('_DIRECTORY_LEGEND_MODIFY', 'Modifier');
define ('_DIRECTORY_LEGEND_DELETE', 'Effacer');
define ('_DIRECTORY_LEGEND_FAVADD', 'Ajouter  une liste de favoris');
define ('_DIRECTORY_LEGEND_FAVMODIFY', 'Modifier l\'affectation  des listes');
define ('_DIRECTORY_LEGEND_FAVDEL', 'Supprimer un Favori');
define ('_DIRECTORY_LEGEND_EMAIL', 'Envoyer un ml');
define ('_DIRECTORY_LEGEND_TICKET', 'Envoyer un message');

?>
