<?php
/*
    Copyright (c) 2008 HeXad
    Contributors hold Copyright (c) to their code submissions.

    This file is part of Ploopi.

    Ploopi is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Ploopi is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Ploopi; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/**
 * Entre de la gestion des Banniere
 *
 * @package newsletter
 * @subpackage admin
 * @copyright HeXad
 * @license GNU General Public License (GPL)
 * @author Xavier Toussaint
 */

echo $skin->open_simplebloc(_NEWSLETTER_LABELTAB_BANNIERE);

ploopi_documents(
    _NEWSLETTER_OBJECT_IMAGE,
    0,
    null,
    null,
    array(
        'ROOT_NAME' => 'Banniere',
        'ATTACHEMENT' => false,
        'FIELDS' =>
            array(
                'ref',
                'label',
                'size',
                'timestp_file'
            )
        )
    );

echo $skin->close_simplebloc();
?>